Looks like 4.11 compiles OK but now requires C++ support.  I've updated the buildroot accordingly, and committed as r1083

C

On Aug 23, 2006, at 8:08 AM, Dan Brown wrote:

I updated to buildroot 1081 and no difference.
 
I was able to find the NMap v3.93 at   http://download.insecure.org/nmap/dist/  so I was able to finish my build.
 
How much work is involved in updating the diff to the new version?  If someone can tell me HOW to do it, I would be willing...

Dan

 
----- Original Message ----
From: thomas.cooksey@bt.com
To: truckingeek@yahoo.com; gumstix-users@lists.sourceforge.net
Sent: Wednesday, August 23, 2006 9:51:29 AM
Subject: RE: [Gumstix-users] Buildroot problem with NMAP

I’ve also had the exact same thing, but I don’t need nmap so I unselected it. I was using today’s (23/8/06) buildroot.

 

I have also noticed quite a lot of other things are broken in the buildroot tree which I have had to go in and fix. I can give a list of problems & fixes if this would be helpful to anyone?

 

The most important one springing to mind is the $(PCMCIA_DIR)/.modules.dep target in the pcmcia.mk package makefile: busybox’s depmod.pl takes EITHER the kernel image OR the symbol map, the pcmcia.mk specifies both on the command line and causes the script to abort. Very simple fix, just remove either the

“-k $(LINUX_DIR)/vmlinux \” line or the “-F $(LINUX_DIR)/System.map” line.

 

On the subject of pcmcia stuff, is there any plans to create a package for the new pcmcia utils? I keep getting warnings from the kernel that support for the old userspace tools will be removed very soon.

 

Cheers,

 

Tom

 

From: gumstix-users-bounces@lists.sourceforge.net [mailto:gumstix-users-bounces@lists.sourceforge.net] On Behalf Of Dan Brown
Sent: 23 August 2006 15:37
To: General mailing list for gumstix users.
Subject: Re: [Gumstix-users] Buildroot problem with NMAP

 

I'm using a recent buildroot  (

----- Original Message ----
From: Jesse Welling <jesse.welling@gmail.com>
To: General mailing list for gumstix users. <gumstix-users@lists.sourceforge.net>
Sent: Wednesday, August 23, 2006 1:54:26 AM
Subject: Re: [Gumstix-users] Buildroot problem with NMAP

Hey Dan

On 8/22/06, Dan Brown <dan@lantzer.org> wrote:

 

Do I need to go looking for v3.93 somewhere?


I don't know about all this other stuff but assuming you find one you just need to place the compressed file in the dl Directory. That's the rout I would go for.

By the way what version of the build root are you using? If you are using an older version it could be tyring to get an older package (new NMAP came out and they don't keep the old ones), If that's the case using an updated version of the build root *should* fix this.
--
        -Jesse W.

-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642

_______________________________________________
gumstix-users mailing list
gumstix-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gumstix-users

 


-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642_______________________________________________
gumstix-users mailing list
gumstix-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gumstix-users